阿里轻云或虚拟主机安装JOOMLA提示魔术引号不支持的处理方法

Joomla安装对于php环境还是有所要求的,尤其是在joomla3.x以后的版本,对于php版本都要求5.3以上,另外针对php扩展也有些要求,可以在运行安装时进行自检。

在阿里云虚机或轻云服务器上安装JOOMLA直提示魔术引号不支持,错误如图:

joomla install

当前因虚机和轻云服务器环境是统一配置的,魔术引号(Magic Quote) GPC状态值为magic_quotes_gpc = On,不能修改为Off。该问题可以通过修改安装的网站程序方能解决,具体方法如下:

joomla程序源代码里面搜索找到joomla31\installation\model\setup.php"(245,31):        

$option->state  = (ini_get('magic_quotes_gpc') == false);

将以上代码的"false"改成"1",重新进行安装即可通过验证。

注意:对程序文件进行修改前一定对被修改文件进行备份,防止误操作导致程序损坏无法恢复。